import DashView from './components/Dash.vue'
// import LoginView from './components/Login.vue'
import NotFoundView from './components/404.vue'

// Import Views - Dash
// Sthope Views
import CryptosView from './components/views/Cryptos.vue'
import PersonalFinancesView from './components/views/PersonalFinances.vue'
// Sthope Settings Views
import SettingsBackupView from './components/views/Settings_Backup.vue'
import SettingsConfigurationsView from './components/views/Settings_Configurations.vue'
import SettingsGoogleView from './components/views/Settings_Google.vue'
import SettingsMQTTHAView from './components/views/Settings_MQTT_HA.vue'
import SettingsUserView from './components/views/Settings_User.vue'

// Routes
const routes = [
  // {
  //   path: '/login',
  //   component: LoginView
  // },
  {
    path: '/',
    component: DashView,
    children: [
      {
        path: 'personalfinances',
        alias: '',
        component: PersonalFinancesView,
        name: 'Personal Finances',
        meta: {description: ''}
      },
      {
        path: 'cryptos',
        component: CryptosView,
        name: 'Cryptos',
        meta: {description: '', requiresAuth: false}
      }, {
        path: 'configurations',
        component: SettingsBackupView,
        name: 'Configurations',
        meta: {description: '', requiresAuth: false}
      }, {
        path: 'configurations',
        component: SettingsConfigurationsView,
        name: 'Configurations',
        meta: {description: '', requiresAuth: false}
      }, {
        path: 'google_settings',
        component: SettingsGoogleView,
        name: 'Google Settings',
        meta: {description: '', requiresAuth: false}
      }, {
        path: 'mqtt_homeassistant',
        component: SettingsMQTTHAView,
        name: 'MQTT / HomeAssistant',
        meta: {description: '', requiresAuth: false}
      }, {
        path: 'user_configs',
        component: SettingsUserView,
        name: 'User Configs',
        meta: {description: '', requiresAuth: false}
      }, {
        path: 'backups',
        component: SettingsUserView,
        name: 'Backups',
        meta: {description: '', requiresAuth: false}
      }
    ]
  }, {
    // not found handler
    path: '*',
    component: NotFoundView
  }
]

export default routes
